aboutsummaryrefslogtreecommitdiffstats
path: root/bin/update-packer-to
diff options
context:
space:
mode:
Diffstat (limited to 'bin/update-packer-to')
-rwxr-xr-xbin/update-packer-to15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/update-packer-to b/bin/update-packer-to
new file mode 100755
index 0000000..622f139
--- /dev/null
+++ b/bin/update-packer-to
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# clyhtsuriva
+
+VER=$1
+
+pushd /tmp/ || exit
+
+curl -LO "https://releases.hashicorp.com/packer/${VER}/packer_${VER}_linux_amd64.zip" && \
+unzip "packer_${VER}_linux_amd64.zip" && \
+rm LICENSE.txt && \
+mv packer ~/.local/bin/packer && \
+packer -v && \
+rm "packer_${VER}_linux_amd64.zip"
+
+popd || exit
2-2/+2 2021-06-26Delete out/production/spoteezer/musichub directoryClyhtsuriva17-0/+0 2021-06-26Removed reduced pom and added the content of STZ-0001 with a switch modif.Clyhtsuriva65-149/+208 2021-06-26Delete .classpathClyhtsuriva1-6/+0 2021-06-26Delete .projectClyhtsuriva1-17/+0 2021-06-26Delete .idea directoryClyhtsuriva4-28/+0 2021-06-26UpdateClyhtsuriva50-84/+84 2021-06-26Changed the architecture to respect maven and generated an empty javadocClyhtsuriva129-23/+7829 2021-06-26Add reset, pause, quit functionalitysaid belhadj46-18/+100 2021-06-26Adding the pom.xml and target folder created from mvn package.Clyhtsuriva6-0/+164 2021-06-26Add the possibility to listen a song thanks to Audio System librarysaid belhadj7-4/+55 2021-06-25Fixing STZ-0004 issue.Clyhtsuriva1-1/+3 2021-06-17Delete initial_class_diagram.pngClyhtsuriva1-0/+0